Subject: Re: bug#9241: Gnus dynamic "Date:" should not update every second

From: Leo <[email-masked]>
Date: Fri, 05 Aug 2011 02:21:06 +0800

On 2011-08-05 01:14 +0800, Stefan Monnier wrote:
> ,gnusThe dynamic update of relative time on the "Date:" line in the article
> buffer is annoying.  Mentioning seconds is largely pointless, and
> updating every second is a real problem (e.g. it keeps Emacs busy,
> preventing it from being swapped out).  It even occasionally causes
> the display to "flicker" because at times the "Date:" line needs
> wrapping and at times it doesn't.
>
> I'd be happy to turn off the "feature" altogether, but at least by
> default the updates should not take place every second.  If some user
> really likes it, then feel free to keep it as an option
> "gnus-update-date-obnoxiously", and maybe even provide a sub-second
> version "gnus-update-date-for-masochistic-epileptics", of course.

I also customised gnus-article-update-date-headers immediately after
upgrade Gnus. I found the feature exciting at first but then quickly
find it annoying.

Leo